manifestVersion: "0.0.1"
id: databag
category: social
name: Databag
version: "0.1.17"
tagline: Крошечный автономный федеративный мессенджер для децентрализованной сети.
description: >-
  Databag — это автономная служба обмена сообщениями. Примечательные особенности включают в себя:
  
  
  - Децентрализованный (прямая связь между приложением и серверным узлом)
  
  - Федеративный (аккаунты на разных узлах могут взаимодействовать)
  
  - Идентификация на основе публично-частного ключа (не привязана к какой-либо цепочке блоков или домену хостинга)
  
  - Сквозное шифрование (администратор хостинга не может просматривать запечатанные темы, по умолчанию незапечатанные)
  
  - Аудио и видеозвонки (для обхода nat требуется отдельный сервер ретрансляции)
  
  - Тематические обсуждения (сообщения, организованные по темам, а не по контактам)
  
  - Легкий вес (сервер может работать на Raspberry Pi Zero v1.3)
  
  - Низкая задержка (использование веб-сокетов для push-событий во избежание опроса)
  
  - Неограниченное количество учетных записей на узел (хост для всей вашей семьи)
  
  - Мобильные оповещения о новых контактах, сообщениях и звонках (поддерживает UnifiedPush, FCM, APN)
  
  
  🛠️ИНСТРУКЦИЯ ПО НАСТРОЙКЕ 🛠️
  
  
  🆕 Создание учетных записей. Вы можете создавать учетные записи и ссылки на учетные записи на панели администратора.
  
  
  - Чтобы получить доступ к панели администратора, щелкните значок шестеренки настроек, расположенный в правом верхнем углу страницы входа в приложение.
  
  
  - Используйте «пароль приложения по умолчанию», который отображается на странице Databag в магазине приложений (отображается после установки).
  
  
  🌐 Конфигурация HTTPS. Браузерная версия приложения может работать через http, но для мобильного приложения требуется https. Вы можете настроить https с помощью приложения Cloudflare Tunnel, доступного в магазине приложений.
  Подробную инструкцию по настройке туннеля можно найти здесь: https://github.com/Radiokot/dfwebos-cloudflared/wiki/How-to-set-up-Cloudflare-Tunnel-on-your-DFWebOS-Server
releaseNotes: >-
  Это обновление Databag вносит следующие изменения:
  
  - Обновлены последние версии инструментов Go с исправлениями безопасности.
  
  - Добавлена ​​поддержка повторителя push-уведомлений вместо устаревшей Firebase API.
dependencies: []
developer: Pierre Balzack
website: https://github.com/balzack/databag
repo: https://github.com/balzack/databag
support: https://github.com/balzack/databag/discussions
port: 7000
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
defaultUsername: ""
deterministicPassword: true
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
